#include<bits/stdc++.h>

using namespace std;

int main(){
    int n;
    cin>>n;
    vector<int> x(n);
    vector<int> y(n);
    vector<int> z(n);
    unordered_map<int, int> m;
    for(int i = 0;i<n;i++){
        cin>>x[i];
        m[x[i]]++;
    }
    for(int i = 0;i<n;i++){
        cin>>y[i];
    }
    for(int i = 0;i<n;i++){
        cin>>z[i];
    }
    int64_t r = 0;
    for(int i = 0;i<n;i++){
        r+=m[y[z[i]-1]];
    }
    cout<<r<<endl;
    return 0;
}